Permalink
Browse files

updating INSTALL and INSTALL.debian

Signed-off-by: Joshua Ferraro <jmf@liblime.com>
  • Loading branch information...
1 parent e02347e commit eedb94442ee85c048fb15414941ee7c092cc36c8 Joshua Ferraro committed Dec 30, 2007
Showing with 20 additions and 4 deletions.
  1. +3 −2 INSTALL
  2. +17 −2 INSTALL.debian
View
@@ -1,4 +1,5 @@
-Koha - award-winning open-source Integrated Library System
+Koha 3 - the next-generation release of the award-winning Koha open-source
+integrated library system.
Koha is the first open-source Integrated Library System. Developed initially in
New Zealand by Katipo Communications, Ltd and first deployed in January of 2000
@@ -9,7 +10,7 @@ more about the Koha project at http://koha.org.
INSTALLATION
============
-Koha 3.0 comes with a new installer, based on MakeMaker, the tool that
+Koha 3 comes with a new installer, based on MakeMaker, the tool that
is usually used to install CPAN modules. This means that if you know
how to customise CPAN-installed modules, the same things should work
for you with Koha. If not, don't worry. If you want to customise the
View
@@ -62,7 +62,7 @@ Run the following command to update your system:
Note: for more information about Git, please see the Koha Git Usage Guide:
- http://wiki.koha.org/doku.php?id=en:development:git_usage
+ http://wiki.koha.org/doku.php?id=en:development:git_usage
1.3.2 Option B: Download Koha from koha.org
@@ -146,7 +146,22 @@ When the configuration is completed CPAN will install the Perl modules.
mysql> quit
-2.3 Create test database in order to install DBD::mysql
+2.3 Test your SAX Parser and correct where necessary
+
+ You must be sure you're using the XML::LibXML SAX parser, not Expat or PurePerl, both of which have outstanding bugs with pre-composed characters. You can test your SAX parser by running:
+
+ $ misc/sax_parser_print.pl
+
+ You should see something like::
+
+ XML::LibXML::SAX::Parser=HASH(0x81fe220)
+
+ If you're using PurePerl or Expat, you'll need to edit your
+ ini file, typically located at:
+
+ /etc/perl/XML/SAX/ParserDetails.ini
+
+2.4 Create test database in order to install DBD::mysql
In order to handle UTF-8 correctly, Koha requires at least version 4.004
of the DBD::mysql Perl module. However, Debian Etch has a stable package

0 comments on commit eedb944

Please sign in to comment.